---
title: AnimationEffect
slug: Web/API/AnimationEffect
tags:
  - API
  - Animation
  - Interface
  - Reference
  - Web Animations
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</p>

<p>The <code>AnimationEffect</code> interface of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> defines current and future <em>animation effects</em> like {{domxref("KeyframeEffect")}}, which can be passed to {{domxref("Animation")}} objects for playing, and {{domxref("KeyframeEffectReadOnly")}} (which is used by <a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animations</a> and <a href="/en-US/docs/Web/CSS/CSS_Transitions">Transitions</a>).</p>

<dl>
 <dt>
 <h2 id="Methods">Methods</h2>
 </dt>
</dl>

<dl>
 <dt>{{domxref("AnimationEffect.getTiming()")}}</dt>
 <dd>Returns the {{domxref("EffectTiming")}} object associated with the animation containing all the animation's timing values.</dd>
 <dt>{{domxref("AnimationEffect.getComputedTiming()")}}</dt>
 <dd>Returns the calculated timing properties for this <code>AnimationEffect</code>.</dd>
 <dt>{{domxref("AnimationEffect.updateTiming()")}}</dt>
 <dd>Updates the specified timing properties of this <code>AnimationEffect</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#the-animationeffect-interface', 'AnimationEffect' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationEffect")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation.effect")}}</li>
</ul>
